
Testing - Feature # 308

Status: New Priority: Should have
Author: Malte Jansen Category:
Created: 2008-02-14 Assigned To:
Updated: 2011-05-26 Due date:
Subject: Improved Test Search
Description

Normally you just need to check the whole project only once.
Sometimes one file is to less.
So it would be cool to test a subcompoment/subpackage.

e.g.:
'T3_FLOW3CGL_Model_'

The search must end with an underline.

Perhaps not final solution, but a quick powerful solution.

History
#1 - 2008-02-20 00:23 - Malte Jansen
- File Testing_ImprovedSearch_v2_trunk.patch added
- Assigned To set to Sebastian Kurfuerst

After a discussion with Sebastian a more common version.
Now, the search string is compare with classname, so you just have to enter the first characters of a class, and all other classes starting with same
string are also tested.

e.g. "T3_FLOW3CGL_Ch" will test all tests for the checks.

#2 - 2008-10-28 21:59 - Malte Jansen
- File Testing_v3.patch added

I have adjusted this patch and included http://forge.typo3.org/issues/show/1649 too.

Additionally there is a small improvment, which saves 1-2 seconds (DuoCore 2,27GHz) with the FLOW3 Distribution. You'll same more time, if you
have more packages included. Now no normal-class ending with Test will be running as test, which now might cause some problems in the
Test-Enviroment.

Notice: With this patch it's also possible to run all tests in a certain namespace.

#3 - 2011-05-26 18:51 - Sebastian Kurfuerst
- Assigned To deleted (Sebastian Kurfuerst)

Files
Testing_ImprovedSearch_v1_trunk.patch 1.5 kB 2008-02-14 Malte Jansen
http://forge.typo3.org/issues/show/1649


Testing_ImprovedSearch_v2_trunk.patch 1.5 kB 2008-02-20 Malte Jansen
Testing_v3.patch 4.7 kB 2008-10-28 Malte Jansen
